SystemMembershipListener (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface SystemMembershipListener

- Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface SystemMembershipListener

  A listener whose callback methods are invoked when members join or leave the GemFire distributed system.
  Since:
    GemFire 3.5
  See Also:
    `AdminDistributedSystem.addMembershipListener(org.apache.geode.admin.SystemMembershipListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `memberCrashed(SystemMembershipEvent event)` Deprecated. Invoked when a member has unexpectedly left the distributed system.
    `void` | `memberJoined(SystemMembershipEvent event)` Deprecated. Invoked when a member has joined the distributed system
    `void` | `memberLeft(SystemMembershipEvent event)` Deprecated. Invoked when a member has gracefully left the distributed system.

- - ### Method Detail

    - #### memberJoined

          void memberJoined(SystemMembershipEvent event)

      Deprecated.
      Invoked when a member has joined the distributed system
      Parameters:
        `event` - the triggering `SystemMembershipEvent`

    - #### memberLeft

          void memberLeft(SystemMembershipEvent event)

      Deprecated.
      Invoked when a member has gracefully left the distributed system. This occurs when the member took action to remove itself from the distributed system.
      Parameters:
        `event` - the triggering `SystemMembershipEvent`

    - #### memberCrashed

          void memberCrashed(SystemMembershipEvent event)

      Deprecated.
      Invoked when a member has unexpectedly left the distributed system. This occurs when a member is forcibly removed from the distributed system by another process, such as from failure detection, or network partition detection processing.
      Parameters:
        `event` - the triggering `SystemMembershipEvent`